diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-routing.h ns-3.44/src/dsr/model/dsr-routing.h
--- ns-3.43/src/dsr/model/dsr-routing.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/model/dsr-routing.h	2025-03-09 16:55:49.371371000 -0700
@@ -655,16 +655,16 @@
     IpL4Protocol::DownTargetCallback GetDownTarget() const override;
     IpL4Protocol::DownTargetCallback6 GetDownTarget6() const override;
     /**
-     * \brief Process method
+     * @brief Process method
      * Called from Ipv4L3Protocol::Receive.
      *
-     * \param packet the packet
-     * \param ipv4Header IPv4 header of the packet
-     * \param dst destination address of the packet received (i.e. us)
-     * \param nextHeader the next header
-     * \param protocol the protocol number
-     * \param isDropped if the packet must be dropped
-     * \return the size processed
+     * @param packet the packet
+     * @param ipv4Header IPv4 header of the packet
+     * @param dst destination address of the packet received (i.e. us)
+     * @param nextHeader the next header
+     * @param protocol the protocol number
+     * @param isDropped if the packet must be dropped
+     * @return the size processed
      */
     uint8_t Process(Ptr<Packet>& packet,
                     const Ipv4Header& ipv4Header,
@@ -673,29 +673,29 @@
                     uint8_t protocol,
                     bool& isDropped);
     /**
-     * \brief Insert a new Dsr Option.
-     * \param option the option to insert
+     * @brief Insert a new Dsr Option.
+     * @param option the option to insert
      */
     void Insert(Ptr<dsr::DsrOptions> option);
     /**
-     * \brief Get the option corresponding to optionNumber.
-     * \param optionNumber the option number of the option to retrieve
-     * \return a matching Dsr option
+     * @brief Get the option corresponding to optionNumber.
+     * @param optionNumber the option number of the option to retrieve
+     * @return a matching Dsr option
      */
     Ptr<dsr::DsrOptions> GetOption(int optionNumber);
     /**
-     * \brief Cancel the route request timer.
-     * \param dst The dst address of the route request timer
-     * \param isRemove whether to remove the route request entry or not
+     * @brief Cancel the route request timer.
+     * @param dst The dst address of the route request timer
+     * @param isRemove whether to remove the route request entry or not
      */
     void CancelRreqTimer(Ipv4Address dst, bool isRemove);
     /**
-     * \brief Schedule the route request retry.
-     * \param packet the original packet
-     * \param address List of IPv4 addresses
-     * \param nonProp flag if RREQ is non-propagating
-     * \param requestId Unique request ID
-     * \param protocol the protocol number
+     * @brief Schedule the route request retry.
+     * @param packet the original packet
+     * @param address List of IPv4 addresses
+     * @param nonProp flag if RREQ is non-propagating
+     * @param requestId Unique request ID
+     * @param protocol the protocol number
      */
     void ScheduleRreqRetry(Ptr<Packet> packet,
                            std::vector<Ipv4Address> address,
@@ -705,10 +705,10 @@
     /**
      * Handle route discovery timer
      *
-     * \param packet the original packet
-     * \param address List of IPv4 addresses
-     * \param requestId Unique request ID
-     * \param protocol the protocol number
+     * @param packet the original packet
+     * @param address List of IPv4 addresses
+     * @param requestId Unique request ID
+     * @param protocol the protocol number
      */
     void RouteRequestTimerExpire(Ptr<Packet> packet,
                                  std::vector<Ipv4Address> address,
@@ -720,8 +720,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -734,7 +734,7 @@
      *          */
     void NotifyNewAggregate() override;
     /**
-     * \brief Drop trace callback.
+     * @brief Drop trace callback.
      */
     void DoDispose() override;
     /**
@@ -746,20 +746,20 @@
   private:
     void Start();
     /**
-     * \brief Send the route error message when the link breaks to the next hop.
-     * \param nextHop next hop address
-     * \param protocol protocol number
+     * @brief Send the route error message when the link breaks to the next hop.
+     * @param nextHop next hop address
+     * @param protocol protocol number
      */
     void SendRerrWhenBreaksLinkToNextHop(Ipv4Address nextHop, uint8_t protocol);
     /**
-     * \brief Promiscuous receive data packets destined to some other node.
-     * \param device The network device
-     * \param packet Data packet we just received
-     * \param protocol The protocol we receive, need to verify it is dsr protocol
-     * \param from The from address we received the packet
-     * \param to The address this packet is destined for
-     * \param packetType The dsr packet type, 0 is for control packet, 1 for data packet
-     * \return true if the packet was processed, false otherwise
+     * @brief Promiscuous receive data packets destined to some other node.
+     * @param device The network device
+     * @param packet Data packet we just received
+     * @param protocol The protocol we receive, need to verify it is dsr protocol
+     * @param from The from address we received the packet
+     * @param to The address this packet is destined for
+     * @param packetType The dsr packet type, 0 is for control packet, 1 for data packet
+     * @return true if the packet was processed, false otherwise
      */
     bool PromiscReceive(Ptr<NetDevice> device,
                         Ptr<const Packet> packet,
@@ -768,11 +768,11 @@
                         const Address& to,
                         NetDevice::PacketType packetType);
     /**
-     * \brief Define the list to hold DSR options.
+     * @brief Define the list to hold DSR options.
      */
     typedef std::list<Ptr<DsrOptions>> DsrOptionList_t;
     /**
-     * \brief List of DSR Options supported.
+     * @brief List of DSR Options supported.
      */
     DsrOptionList_t m_options;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-rreq-table.cc ns-3.44/src/dsr/model/dsr-rreq-table.cc
--- ns-3.43/src/dsr/model/dsr-rreq-table.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/model/dsr-rreq-table.cc	2025-03-09 16:55:49.371371000 -0700
@@ -59,7 +59,7 @@
 {
     NS_LOG_FUNCTION(this);
     Ipv4Address firstExpire;
-    Time max = Seconds(0.0);
+    Time max;
     for (auto i = m_rreqDstMap.begin(); i != m_rreqDstMap.end(); ++i)
     {
         Ipv4Address dst = i->first;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-rreq-table.h ns-3.44/src/dsr/model/dsr-rreq-table.h
--- ns-3.43/src/dsr/model/dsr-rreq-table.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/model/dsr-rreq-table.h	2025-03-09 16:55:49.371371000 -0700
@@ -53,8 +53,8 @@
     /**
      * Construct a BlackList with the given parameters
      *
-     * \param ip IPv4 address of the neighbor
-     * \param t expire time for the black list entry
+     * @param ip IPv4 address of the neighbor
+     * @param t expire time for the black list entry
      */
     BlackList(Ipv4Address ip, Time t)
         : m_neighborAddress(ip),
@@ -83,8 +83,8 @@
     /**
      * Construct a DsrReceivedRreqEntry with the given parameters
      *
-     * \param d IPv4 address of the destination
-     * \param i identification
+     * @param d IPv4 address of the destination
+     * @param i identification
      */
     DsrReceivedRreqEntry(Ipv4Address d = Ipv4Address(), uint16_t i = 0)
         : m_destination(d),
@@ -93,9 +93,9 @@
     }
 
     /**
-     * \brief Compare send buffer entries (destination address and identification)
-     * \param o another DsrReceivedRreqEntry
-     * \return true if equal
+     * @brief Compare send buffer entries (destination address and identification)
+     * @param o another DsrReceivedRreqEntry
+     * @return true if equal
      */
     bool operator==(const DsrReceivedRreqEntry& o) const
     {
@@ -105,7 +105,7 @@
     /**
      * Return IPv4 address of the destination
      *
-     * \return IPv4 address of the destination
+     * @return IPv4 address of the destination
      */
     Ipv4Address GetDestination() const
     {
@@ -115,7 +115,7 @@
     /**
      * Set IPv4 address of the destination
      *
-     * \param d IPv4 address of the destination
+     * @param d IPv4 address of the destination
      */
     void SetDestination(Ipv4Address d)
     {
@@ -125,7 +125,7 @@
     /**
      * Return IPv4 address of the source
      *
-     * \return IPv4 address of the source
+     * @return IPv4 address of the source
      */
     Ipv4Address GetSource() const
     {
@@ -135,7 +135,7 @@
     /**
      * Set IPv4 address of the source
      *
-     * \param s IPv4 address of the source
+     * @param s IPv4 address of the source
      */
     void SetSource(Ipv4Address s)
     {
@@ -145,7 +145,7 @@
     /**
      * Return identification
      *
-     * \return identification
+     * @return identification
      */
     uint16_t GetIdentification() const
     {
@@ -155,7 +155,7 @@
     /**
      * Set identification
      *
-     * \param i identification
+     * @param i identification
      */
     void SetIdentification(uint16_t i)
     {
@@ -167,7 +167,7 @@
      * Note that the parameter is duration but
      * the stored value is the absolute time.
      *
-     * \param exp duration before expire
+     * @param exp duration before expire
      */
     void SetExpireTime(Time exp)
     {
@@ -179,7 +179,7 @@
      * Note that we return the remaining time but the stored
      * value is the absolute time.
      *
-     * \return the remaining time before the RREQ entry expires
+     * @return the remaining time before the RREQ entry expires
      */
     Time GetExpireTime() const
     {
@@ -195,15 +195,15 @@
 };
 
 /**
- * \ingroup dsr
- * \brief maintain list of DsrRreqTable entry
+ * @ingroup dsr
+ * @brief maintain list of DsrRreqTable entry
  */
 class DsrRreqTable : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -213,7 +213,7 @@
     /**
      * Set the initial discovert hop limit
      *
-     * \param hl the initial discovert hop limit
+     * @param hl the initial discovert hop limit
      */
     void SetInitHopLimit(uint32_t hl)
     {
@@ -223,7 +223,7 @@
     /**
      * Return the initial discovert hop limit
      *
-     * \return the initial discovert hop limit
+     * @return the initial discovert hop limit
      */
     uint32_t GetInitHopLimit() const
     {
@@ -234,7 +234,7 @@
      * Set the maximum number of request entries in
      * the request table.
      *
-     * \param rt the maximum number of request entries
+     * @param rt the maximum number of request entries
      */
     void SetRreqTableSize(uint32_t rt)
     {
@@ -245,7 +245,7 @@
      * Return the maximum number of request entries in
      * the request table.
      *
-     * \return the maximum number of request entries
+     * @return the maximum number of request entries
      */
     uint32_t GetRreqTableSize() const
     {
@@ -256,7 +256,7 @@
      * Set the maximum number of request source Ids in
      * the request table
      *
-     * \param id the maximum number of request source Ids
+     * @param id the maximum number of request source Ids
      */
     void SetRreqIdSize(uint32_t id)
     {
@@ -267,7 +267,7 @@
      * Return the maximum number of request source Ids in
      * the request table
      *
-     * \return the maximum number of request source Ids
+     * @return the maximum number of request source Ids
      */
     uint32_t GetRreqIdSize() const
     {
@@ -278,7 +278,7 @@
      * Set the maximum number of request Ids in
      * the request table for a single destination.
      *
-     * \param uid the maximum number of request Ids
+     * @param uid the maximum number of request Ids
      */
     void SetUniqueRreqIdSize(uint32_t uid)
     {
@@ -289,7 +289,7 @@
      * Return the maximum number of request Ids in
      * the request table for a single destination.
      *
-     * \return the maximum number of request Ids
+     * @return the maximum number of request Ids
      */
     uint32_t GetUniqueRreqIdSize() const
     {
@@ -299,28 +299,28 @@
     /// Remove the least used entry
     void RemoveLeastExpire();
     /// Find the entry in the route request queue to see if already exists
-    /// \param dst Destination IP
+    /// @param dst Destination IP
     void FindAndUpdate(Ipv4Address dst);
     /// Remove route request entry for dst
-    /// \param dst Destination IP
+    /// @param dst Destination IP
     void RemoveRreqEntry(Ipv4Address dst);
     /// Get the request count number for one destination address
-    /// \param dst Destination IP
-    /// \return the route request counter
+    /// @param dst Destination IP
+    /// @return the route request counter
     uint32_t GetRreqCnt(Ipv4Address dst);
 
     /**
      * The following code generates new request id for each destination.
      * Check for duplicate ids and save new entries if the id is not present in the table.
      *
-     * \param dst IPv4 address of the destination
-     * \return id
+     * @param dst IPv4 address of the destination
+     * @return id
      */
     uint32_t CheckUniqueRreqId(Ipv4Address dst);
     /**
      * Get the request id size
      *
-     * \return the request id size
+     * @return the request id size
      */
     uint32_t GetRreqSize();
 
@@ -329,18 +329,18 @@
      */
     void Invalidate();
     /**
-     * \brief Verify if entry is unidirectional or not(e.g. add this neighbor to "blacklist" for
+     * @brief Verify if entry is unidirectional or not(e.g. add this neighbor to "blacklist" for
      * blacklistTimeout period)
-     * \param neighbor neighbor address link to which assumed to be unidirectional
-     * \return true on success
+     * @param neighbor neighbor address link to which assumed to be unidirectional
+     * @return true on success
      */
     BlackList* FindUnidirectional(Ipv4Address neighbor);
     /**
-     * \brief Mark entry as unidirectional (e.g. add this neighbor to "blacklist" for
+     * @brief Mark entry as unidirectional (e.g. add this neighbor to "blacklist" for
      * blacklistTimeout period)
-     * \param neighbor neighbor address link to which assumed to be unidirectional
-     * \param blacklistTimeout time for which the neighboring node is put into the blacklist
-     * \return true on success
+     * @param neighbor neighbor address link to which assumed to be unidirectional
+     * @param blacklistTimeout time for which the neighboring node is put into the blacklist
+     * @return true on success
      */
     bool MarkLinkAsUnidirectional(Ipv4Address neighbor, Time blacklistTimeout);
     /**
@@ -350,10 +350,10 @@
 
     /**
      * Find the source request entry in the route request queue, return false if not found
-     * \param src the source address we just received the source request
-     * \param dst the destination address the request is targeted at
-     * \param id the identification number for this request
-     * \return true if found, false otherwise
+     * @param src the source address we just received the source request
+     * @param dst the destination address the request is targeted at
+     * @param id the identification number for this request
+     * @return true if found, false otherwise
      */
     bool FindSourceEntry(Ipv4Address src, Ipv4Address dst, uint16_t id);
 
@@ -394,8 +394,8 @@
         /**
          * Check if the entry is expired
          *
-         * \param b BlackList entry
-         * \return true if expired, false otherwise
+         * @param b BlackList entry
+         * @return true if expired, false otherwise
          */
         bool operator()(const BlackList& b) const
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-rsendbuff.cc ns-3.44/src/dsr/model/dsr-rsendbuff.cc
--- ns-3.43/src/dsr/model/dsr-rsendbuff.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/model/dsr-rsendbuff.cc	2025-03-09 16:55:49.371371000 -0700
@@ -136,13 +136,13 @@
 {
     /**
      * comparison operator
-     * \param e entry to compare
-     * \return true if expired
+     * @param e entry to compare
+     * @return true if expired
      */
     bool operator()(const DsrSendBuffEntry& e) const
     {
         // NS_LOG_DEBUG("Expire time for packet in req queue: "<<e.GetExpireTime ());
-        return (e.GetExpireTime() < Seconds(0));
+        return (e.GetExpireTime().IsStrictlyNegative());
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-rsendbuff.h ns-3.44/src/dsr/model/dsr-rsendbuff.h
--- ns-3.43/src/dsr/model/dsr-rsendbuff.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/model/dsr-rsendbuff.h	2025-03-09 16:55:49.371371000 -0700
@@ -30,8 +30,8 @@
 namespace dsr
 {
 /**
- * \ingroup dsr
- * \brief DSR Send Buffer Entry
+ * @ingroup dsr
+ * @brief DSR Send Buffer Entry
  */
 class DsrSendBuffEntry
 {
@@ -39,10 +39,10 @@
     /**
      * Construct DsrSendBuffEntry with the given parameters.
      *
-     * \param pa packet
-     * \param d destination address
-     * \param exp expiration time
-     * \param p protocol number
+     * @param pa packet
+     * @param d destination address
+     * @param exp expiration time
+     * @param p protocol number
      */
     DsrSendBuffEntry(Ptr<const Packet> pa = nullptr,
                      Ipv4Address d = Ipv4Address(),
@@ -57,8 +57,8 @@
 
     /**
      * Compare send buffer entries
-     * \param o another DsrSendBuffEntry
-     * \return true if equal
+     * @param o another DsrSendBuffEntry
+     * @return true if equal
      */
     bool operator==(const DsrSendBuffEntry& o) const
     {
@@ -68,7 +68,7 @@
     // Fields
     /**
      * Get pointer to entry's packet
-     * \returns the current packet
+     * @returns the current packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -77,7 +77,7 @@
 
     /**
      * Set pointer to entry's packet
-     * \param p the current packet
+     * @param p the current packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -86,7 +86,7 @@
 
     /**
      * Get destination address of entry
-     * \returns the destination IPv4 address
+     * @returns the destination IPv4 address
      */
     Ipv4Address GetDestination() const
     {
@@ -95,7 +95,7 @@
 
     /**
      * Set destination address of entry
-     * \param d the destination IP address
+     * @param d the destination IP address
      */
     void SetDestination(Ipv4Address d)
     {
@@ -104,7 +104,7 @@
 
     /**
      * Set expire time for entry
-     * \param exp the expire time
+     * @param exp the expire time
      */
     void SetExpireTime(Time exp)
     {
@@ -113,7 +113,7 @@
 
     /**
      * Get expire time for entry
-     * \returns the expire time
+     * @returns the expire time
      */
     Time GetExpireTime() const
     {
@@ -122,7 +122,7 @@
 
     /**
      * Set protocol value
-     * \param p the protocol
+     * @param p the protocol
      */
     void SetProtocol(uint8_t p)
     {
@@ -131,7 +131,7 @@
 
     /**
      * Get protocol value
-     * \returns the protocol
+     * @returns the protocol
      */
     uint8_t GetProtocol() const
     {
@@ -150,8 +150,8 @@
 };
 
 /**
- * \ingroup dsr
- * \brief DSR send buffer
+ * @ingroup dsr
+ * @brief DSR send buffer
  */
 /************************************************************************************************************************/
 class DsrSendBuffer
@@ -168,8 +168,8 @@
      * Push entry in queue, if there is no entry with
      * the same packet and destination address in queue.
      *
-     * \param entry DsrSendBuffEntry to put in the queue
-     * \return true if successfully enqueued,
+     * @param entry DsrSendBuffEntry to put in the queue
+     * @return true if successfully enqueued,
      *         false otherwise
      */
     bool Enqueue(DsrSendBuffEntry& entry);
@@ -177,36 +177,36 @@
      * Return first found (the earliest) entry for
      * the given destination.
      *
-     * \param dst IPv4 address of the destination
-     * \param entry pointer to entry to return
-     * \return true if successfully dequeued,
+     * @param dst IPv4 address of the destination
+     * @param entry pointer to entry to return
+     * @return true if successfully dequeued,
      *         false otherwise
      */
     bool Dequeue(Ipv4Address dst, DsrSendBuffEntry& entry);
     /**
      * Remove all packets with destination IP address dst
      *
-     * \param dst IPv4 address of the destination
+     * @param dst IPv4 address of the destination
      */
     void DropPacketWithDst(Ipv4Address dst);
     /**
      * Check if a packet with destination dst exists in the queue
      *
-     * \param dst IPv4 address of the destination
-     * \return true if found, false otherwise
+     * @param dst IPv4 address of the destination
+     * @return true if found, false otherwise
      */
     bool Find(Ipv4Address dst);
     /**
      * Number of entries
      *
-     * \return the number of entries in the queue
+     * @return the number of entries in the queue
      */
     uint32_t GetSize();
 
     /**
      * Return the maximum queue length
      *
-     * \return the maximum queue length
+     * @return the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -216,7 +216,7 @@
     /**
      * Set the maximum queue length
      *
-     * \param len the maximum queue length
+     * @param len the maximum queue length
      */
     void SetMaxQueueLen(uint32_t len)
     {
@@ -226,7 +226,7 @@
     /**
      * Return the entry lifetime in the queue
      *
-     * \return the entry lifetime in the queue
+     * @return the entry lifetime in the queue
      */
     Time GetSendBufferTimeout() const
     {
@@ -236,7 +236,7 @@
     /**
      * Set the entry lifetime in the queue
      *
-     * \param t the entry lifetime in the queue
+     * @param t the entry lifetime in the queue
      */
     void SetSendBufferTimeout(Time t)
     {
@@ -248,7 +248,7 @@
     /**
      * Return a pointer to the internal queue
      *
-     * \return a pointer to the internal queue
+     * @return a pointer to the internal queue
      */
     std::vector<DsrSendBuffEntry>& GetBuffer()
     {
@@ -260,8 +260,8 @@
     void Purge();                               ///< Remove all expired entries
 
     /// Notify that packet is dropped from queue by timeout
-    /// \param en BuffEntry Buffer entry
-    /// \param reason Drop reason
+    /// @param en BuffEntry Buffer entry
+    /// @param reason Drop reason
     void Drop(DsrSendBuffEntry en, std::string reason);
 
     uint32_t
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/test/dsr-test-suite.cc ns-3.44/src/dsr/test/dsr-test-suite.cc
--- ns-3.43/src/dsr/test/dsr-test-suite.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/test/dsr-test-suite.cc	2025-03-09 16:55:49.375371000 -0700
@@ -42,16 +42,16 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr
- * \defgroup dsr-test DSR routing module tests
+ * @ingroup dsr
+ * @defgroup dsr-test DSR routing module tests
  */
 
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrFsHeaderTest
- * \brief Unit test for DSR Fixed Size Header
+ * @class DsrFsHeaderTest
+ * @brief Unit test for DSR Fixed Size Header
  */
 class DsrFsHeaderTest : public TestCase
 {
@@ -92,11 +92,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrRreqHeaderTest
- * \brief Unit test for RREQ
+ * @class DsrRreqHeaderTest
+ * @brief Unit test for RREQ
  */
 class DsrRreqHeaderTest : public TestCase
 {
@@ -148,11 +148,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrRrepHeaderTest
- * \brief Unit test for RREP
+ * @class DsrRrepHeaderTest
+ * @brief Unit test for RREP
  */
 class DsrRrepHeaderTest : public TestCase
 {
@@ -200,11 +200,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrSRHeaderTest
- * \brief Unit test for Source Route
+ * @class DsrSRHeaderTest
+ * @brief Unit test for Source Route
  */
 class DsrSRHeaderTest : public TestCase
 {
@@ -257,11 +257,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrRerrHeaderTest
- * \brief Unit test for RERR
+ * @class DsrRerrHeaderTest
+ * @brief Unit test for RERR
  */
 class DsrRerrHeaderTest : public TestCase
 {
@@ -305,11 +305,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrAckReqHeaderTest
- * \brief Unit test for ACK-REQ
+ * @class DsrAckReqHeaderTest
+ * @brief Unit test for ACK-REQ
  */
 class DsrAckReqHeaderTest : public TestCase
 {
@@ -350,11 +350,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrAckHeaderTest
- * \brief Unit test for ACK
+ * @class DsrAckHeaderTest
+ * @brief Unit test for ACK
  */
 class DsrAckHeaderTest : public TestCase
 {
@@ -399,11 +399,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrCacheEntryTest
- * \brief Unit test for DSR route cache entry
+ * @class DsrCacheEntryTest
+ * @brief Unit test for DSR route cache entry
  */
 class DsrCacheEntryTest : public TestCase
 {
@@ -466,11 +466,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrSendBuffTest
- * \brief Unit test for Send Buffer
+ * @class DsrSendBuffTest
+ * @brief Unit test for Send Buffer
  */
 class DsrSendBuffTest : public TestCase
 {
@@ -575,11 +575,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrRreqTableTest
- * \brief Unit test for DSR routing table entry
+ * @class DsrRreqTableTest
+ * @brief Unit test for DSR routing table entry
  */
 class DsrRreqTableTest : public TestCase
 {
@@ -609,11 +609,11 @@
 
 // -----------------------------------------------------------------------------
 /**
- * \ingroup dsr-test
- * \ingroup tests
+ * @ingroup dsr-test
+ * @ingroup tests
  *
- * \class DsrTestSuite
- * \brief DSR test suite
+ * @class DsrTestSuite
+ * @brief DSR test suite
  */
 class DsrTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/examples/basic-energy-model-test.cc ns-3.44/src/energy/examples/basic-energy-model-test.cc
--- ns-3.43/src/energy/examples/basic-energy-model-test.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/examples/basic-energy-model-test.cc	2025-03-09 16:55:49.375371000 -0700
@@ -39,14 +39,14 @@
 
     /**
      * Performs some tests involving state updates and the relative energy consumption
-     * \return true is some error happened.
+     * @return true is some error happened.
      */
     bool DoRun();
 
   private:
     /**
-     * \param state Radio state to switch to.
-     * \return False if no error occurs.
+     * @param state Radio state to switch to.
+     * @return False if no error occurs.
      *
      * Runs simulation for a while, check if final state & remaining energy is
      * correctly updated.
@@ -249,7 +249,7 @@
 
     /**
      * Performs some tests involving energy depletion
-     * \return true is some error happened.
+     * @return true is some error happened.
      */
     bool DoRun();
 
@@ -260,9 +260,9 @@
     void DepletionHandler();
 
     /**
-     * \param simTimeS Simulation time, in seconds.
-     * \param updateIntervalS Device model update interval, in seconds.
-     * \return False if all is good.
+     * @param simTimeS Simulation time, in seconds.
+     * @param updateIntervalS Device model update interval, in seconds.
+     * @return False if all is good.
      *
      * Runs simulation with specified simulation time and update interval.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/examples/generic-battery-discharge-example.cc ns-3.44/src/energy/examples/generic-battery-discharge-example.cc
--- ns-3.43/src/energy/examples/generic-battery-discharge-example.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/examples/generic-battery-discharge-example.cc	2025-03-09 16:55:49.375371000 -0700
@@ -6,9 +6,9 @@
  * Author: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
 
-#include <ns3/core-module.h>
-#include <ns3/energy-module.h>
-#include <ns3/gnuplot.h>
+#include "ns3/core-module.h"
+#include "ns3/energy-module.h"
+#include "ns3/gnuplot.h"
 
 #include <fstream>
 #include <sstream>
